TextCtrl::RemoveSelection shall return false when there is no selection
Description

Test Case:

in a CodeEditor instance, filled with text, do that :

repeat :

- set the cursor with a mouse left click, keeping the mouse button pressed for more than one second

- try to remove a character using backspace button.

result :
the backspace does not remove the character.

| have investigate this behavior, and i found that TextCtrl::RemoveSelection can return true, even when there is no selection.

RemoveSelection is used in LineEdit::Backspace :
if(IsReadOnly() || RemoveSelection() || cursor == 0) return;

History

#1 - 03/26/2018 07:21 PM - Abdelghani Omari
- Target version set to Release 2018.1

#2 - 04/03/2018 10:01 PM - Zbigniew Rebacz
- Target version changed from Release 2018.1 to Release 2019.1

#3 - 04/23/2018 07:46 PM - Abdelghani Omari
- Status changed from Patch ready to Approved

#4 - 09/27/2018 12:23 PM - Abdelghani Omari

- Description updated

- Status changed from Approved to Patch ready

#5 - 09/30/2018 10:45 AM - Miroslav Fidler

- Status changed from Patch ready to Approved
